/*
  qgpopupmenu.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __QGPOPUPMENU_H__
#define __QGPOPUPMENU_H__

#include <qpopupmenu.h>

class QGPopupMenu : public QPopupMenu
{
	Q_OBJECT
  public:
	QGPopupMenu(QWidget *parent = 0, const char *name = 0);

  protected:
	virtual void keyPressEvent(QKeyEvent *ev);

	int selectid;

  protected slots:
	void changePos(int i);
};

#endif /* __QGPOPUPMENU_H__ */
